	
IF NOT EXISTS (SELECT C.NAME FROM SYS.columns C WHERE C.name = 'STS_COMPRADOR' AND C.OBJECT_ID = OBJECT_ID('EST_COMPRADOR'))
	BEGIN	
		ALTER TABLE EST_COMPRADOR ADD STS_COMPRADOR INT 
		ALTER TABLE EST_COMPRADOR ADD CONSTRAINT DF_EST_COMPRADOR_STS_COMPRADOR DEFAULT 0 FOR STS_COMPRADOR
	END

GO
	
IF EXISTS (SELECT C.NAME FROM SYS.columns C WHERE C.name = 'STS_COMPRADOR' AND C.OBJECT_ID = OBJECT_ID('EST_COMPRADOR'))	
	BEGIN
		UPDATE EST_COMPRADOR SET STS_COMPRADOR = 0 WHERE STS_COMPRADOR IS NULL
	END


